curl --request GET \
--url https://api.sandbox.lead.bank/v1/instant_payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v1/instant_payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v1/instant_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objects": [
{
"id": "instant_payment_xyz123",
"account_id": "account_xyz123",
"account_number_id": "account_number_xyz123",
"direction": "outgoing",
"status": "posted",
"amount": 5000,
"currency_code": "USD",
"debtor": {
"name": "Alex Smith",
"account_number": "1234567890"
},
"debtor_agent": {
"routing_number": "111000111"
},
"creditor_agent": {
"routing_number": "111000111"
},
"creditor": {
"name": "Alex Smith",
"account_number": "1234567890"
},
"payment_identifiers": {
"end_to_end_id": "033me5upSkktRorr3J6TKZ",
"uetr": "8dc981d2-e8c2-4a7b-8df0-0781b46328d9",
"transaction_id": "3G0CQxK8gKLpzaaxc7A9spDiifK"
},
"related_objects": {
"original_payment_id": "instant_payment_xyz123",
"return_payment_ids": [
"instant_payment_xyz456"
]
},
"return_requests": [
{
"status": "pending",
"reason": "duplicate",
"created_at": "2022-06-27T11:22:33Z",
"details": "<string>",
"deadline": "2022-07-11T23:30:00-04:00",
"resolution": {
"resolved_at": "2022-06-27T11:22:33Z",
"resolved_by": "counterparty",
"rejection_reason": "customer_no_response",
"rejection_details": "<string>"
}
}
],
"created_at": "2022-06-27T11:22:33Z",
"updated_at": "2022-06-27T11:22:40Z",
"counterparty_status": "posted",
"description": "Payment for invoice 12345",
"return": {
"reason": "duplication",
"details": "<string>"
},
"rejection": {
"rejected_by": "lead",
"reason": "non_sufficient_funds",
"details": "<string>"
}
}
],
"has_more": true
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}List all Instant Payments
List instant payments with optional filtering.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Returns instant payments associated with this account_id.
^account_\w+$Returns instant payments associated with this account_number_id.
^account_number_\w+$Returns instant payments with the given direction. Who is initiating the transaction.
outgoing: You are sending a transaction to a counterparty. incoming: You are receiving a transaction from a counterparty.
outgoing, incoming "outgoing"
Returns instant payments with the given status. The current status of the instant payment object. If outgoing: created, under_review, canceled, rejected, posted. If incoming: under_review, rejected, posted.
created, under_review, canceled, rejected, posted "posted"
Returns instant payments with the given counterparty status. The current status of the instant payment from the counterparty's perspective. If outgoing: posted, under_review, or rejected. If incoming: posted or null.
posted, under_review, rejected "posted"
Returns instant payments that have a return request with the given status. The current status of the return request object. For incoming return requests: response_needed, accepted, rejected. For outgoing return requests: pending, accepted, rejected.
pending, response_needed, accepted, rejected "pending"
A set of filters on the list using the object's field created_at.
Show child attributes
Show child attributes
Maximum number of objects to be returned.
1 <= x <= 100A cursor for use in pagination; this is an ID that defines your place in the list.
^instant_payment_\w+$A cursor for use in pagination; this is an ID that defines your place in the list.
^instant_payment_\w+$Was this page helpful?

